2023-10-13 06:24:32 UTC
83.4 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMubuntu22.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:43f89b94cd7df92a2f7e565b8fb1b7f502eff2cd225508cbd7ea2d36a9a3a601 - 34.81% (29 MB)
[#001] sha256:eadc893cce371897a8c525ab6746986ca0a550231ca98c07f67a88fa9a658e2c - 21.95% (18.3 MB)
[#002] sha256:6bdfea671520e4cb92b01d1d2b0c4cf27b804aacd8dbf9f99157bcb9290c05cb - 43.25% (36.1 MB)
/bin/sh -c #(nop) ARG RELEASE
2023-10-05 07:33:30 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2023-10-05 07:33:30 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2023-10-05 07:33:30 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2023-10-05 07:33:32 UTC/bin/sh -c #(nop) ADD file:63d5ab3ef0aab308c0e71cb67292c5467f60deafa9b0418cbb220affcd078444 in /
2023-10-05 07:33:32 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-13 06:21:44 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-13 06:21:45 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-13 06:24:00 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2023-10-13 06:24:01 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-13 06:24:01 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04
2023-10-13 06:24:01 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-13 06:24:01 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-13 06:24:01 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-13 06:24:01 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-13 06:24:32 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
2023-10-13 03:14:08 UTC
80.8 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMubuntu22.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:895d322e8e5957c04af3ab7b3431f2a562182d34167c6e159e02044150a66967 - 33.49% (27.1 MB)
[#001] sha256:d3cb0413ea4af52712a026c020a1edd0454ad243985a249db921e73e0d498d12 - 22.52% (18.2 MB)
[#002] sha256:f04c61a84734e67ea8e8bad5c418395865e02371ce4f901b79d46c117c4ce002 - 43.99% (35.6 MB)
/bin/sh -c #(nop) ARG RELEASE
2023-10-05 07:32:21 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2023-10-05 07:32:21 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2023-10-05 07:32:21 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2023-10-05 07:32:22 UTC/bin/sh -c #(nop) ADD file:f8594e26831508c318e42c8dfd9942041031087b8de1bf3fec11fd75b8b30fd4 in /
2023-10-05 07:32:22 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-13 03:11:07 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-13 03:11:07 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-13 03:13:36 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2023-10-13 03:13:37 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-13 03:13:37 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04
2023-10-13 03:13:37 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-13 03:13:37 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-13 03:13:37 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-13 03:13:37 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-13 03:14:08 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.